Page MenuHomePhabricator

[clang][cli] Port CodeGenOpts simple string flags to new option parsing system
ClosedPublic

Authored by jansvoboda11 on Jul 27 2020, 9:53 AM.

Diff Detail

Event Timeline

dang created this revision.Jul 27 2020, 9:53 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 27 2020, 9:53 AM
jansvoboda11 commandeered this revision.Dec 15 2020, 4:56 AM
jansvoboda11 added a reviewer: dang.
jansvoboda11 added a subscriber: jansvoboda11.

Taking over this patch, as Daniel is no longer involved.

jansvoboda11 retitled this revision from Port CodeGenOpts simple string flags to new option parsing system to [clang][cli] Port CodeGenOpts simple string flags to new option parsing system.Dec 15 2020, 4:56 AM
jansvoboda11 retitled this revision from [clang][cli] Port CodeGenOpts simple string flags to new option parsing system to WIP [clang][cli] Port CodeGenOpts simple string flags to new option parsing system.Dec 15 2020, 7:46 AM

Rebase, move options back to their original lines

jansvoboda11 retitled this revision from WIP [clang][cli] Port CodeGenOpts simple string flags to new option parsing system to [clang][cli] Port CodeGenOpts simple string flags to new option parsing system.Dec 15 2020, 8:29 AM
Bigcheese accepted this revision.Dec 17 2020, 8:56 AM

lgtm with the comment.

clang/include/clang/Driver/Options.td
2123–2125

This should have a comment saying that the cc1 semantics are different from the driver semantics.

This revision is now accepted and ready to land.Dec 17 2020, 8:56 AM
This revision was landed with ongoing or failed builds.Dec 18 2020, 1:29 AM
This revision was automatically updated to reflect the committed changes.